org.eclipse.ease.lang.unittest.runtime

## Enum TestStatus

- java.lang.Object
- - java.lang.Enum<TestStatus>
  - - org.eclipse.ease.lang.unittest.runtime.TestStatus

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TestStatus>, org.eclipse.emf.common.util.Enumerator

    public enum TestStatus
    extends java.lang.Enum<TestStatus>
    implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Test Status', and utility methods for working with them.

See Also:
  `IRuntimePackage.getTestStatus()`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DISABLED` The 'DISABLED' literal object.
`ERROR` The 'ERROR' literal object.
`FAILURE` The 'FAILURE' literal object.
`FINISHED` The 'FINISHED' literal object.
`NOT_RUN` The 'NOT RUN' literal object.
`PASS` The 'PASS' literal object.
`RUNNING` The 'RUNNING' literal object.

### Field Summary

Fields
`static int` `DISABLED_VALUE` The 'DISABLED' literal value.
`static int` `ERROR_VALUE` The 'ERROR' literal value.
`static int` `FAILURE_VALUE` The 'FAILURE' literal value.
`static int` `FINISHED_VALUE` The 'FINISHED' literal value.
`static int` `NOT_RUN_VALUE` The 'NOT RUN' literal value.
`static int` `PASS_VALUE` The 'PASS' literal value.
`static int` `RUNNING_VALUE` The 'RUNNING' literal value.
`static java.util.List<TestStatus>` `VALUES` A public read-only list of all the 'Test Status' enumerators.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TestStatus` `get(int value)` Returns the 'Test Status' literal with the specified integer value.
`static TestStatus` `get(java.lang.String literal)` Returns the 'Test Status' literal with the specified literal value.
`static TestStatus` `getByName(java.lang.String name)` Returns the 'Test Status' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static TestStatus` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TestStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NOT_RUN

    public static final TestStatus NOT_RUN

The 'NOT RUN' literal object.

See Also:
  `NOT_RUN_VALUE`

#### FINISHED

    public static final TestStatus FINISHED

The 'FINISHED' literal object.

See Also:
  `FINISHED_VALUE`

#### DISABLED

    public static final TestStatus DISABLED

The 'DISABLED' literal object.

See Also:
  `DISABLED_VALUE`

#### PASS

    public static final TestStatus PASS

The 'PASS' literal object.

See Also:
  `PASS_VALUE`

#### FAILURE

    public static final TestStatus FAILURE

The 'FAILURE' literal object.

See Also:
  `FAILURE_VALUE`

#### ERROR

    public static final TestStatus ERROR

The 'ERROR' literal object.

See Also:
  `ERROR_VALUE`

#### RUNNING

    public static final TestStatus RUNNING

The 'RUNNING' literal object.

See Also:
  `RUNNING_VALUE`

### Field Detail

#### NOT_RUN_VALUE

    public static final int NOT_RUN_VALUE

The 'NOT RUN' literal value.

If the meaning of 'NOT RUN' literal object isn't clear, there really should be more of a description here...

See Also:
  `NOT_RUN`, Constant Field Values

#### FINISHED_VALUE

    public static final int FINISHED_VALUE

The 'FINISHED' literal value.

If the meaning of 'FINISHED' literal object isn't clear, there really should be more of a description here...

See Also:
  `FINISHED`, Constant Field Values

#### DISABLED_VALUE

    public static final int DISABLED_VALUE

The 'DISABLED' literal value.

If the meaning of 'DISABLED' literal object isn't clear, there really should be more of a description here...

See Also:
  `DISABLED`, Constant Field Values

#### PASS_VALUE

    public static final int PASS_VALUE

The 'PASS' literal value.

If the meaning of 'PASS' literal object isn't clear, there really should be more of a description here...

See Also:
  `PASS`, Constant Field Values

#### FAILURE_VALUE

    public static final int FAILURE_VALUE

The 'FAILURE' literal value.

If the meaning of 'FAILURE' literal object isn't clear, there really should be more of a description here...

See Also:
  `FAILURE`, Constant Field Values

#### ERROR_VALUE

    public static final int ERROR_VALUE

The 'ERROR' literal value.

If the meaning of 'ERROR' literal object isn't clear, there really should be more of a description here...

See Also:
  `ERROR`, Constant Field Values

#### RUNNING_VALUE

    public static final int RUNNING_VALUE

The 'RUNNING' literal value.

If the meaning of 'RUNNING' literal object isn't clear, there really should be more of a description here...

See Also:
  `RUNNING`, Constant Field Values

#### VALUES

    public static final java.util.List<TestStatus> VALUES

A public read-only list of all the 'Test Status' enumerators.

### Method Detail

#### values

    public static TestStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TestStatus c : TestStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TestStatus valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### get

    public static TestStatus get(java.lang.String literal)

Returns the 'Test Status' literal with the specified literal value.

Parameters:
  `literal` - the literal.
Returns:
  the matching enumerator or `null`.

#### getByName

    public static TestStatus getByName(java.lang.String name)

Returns the 'Test Status' literal with the specified name.

Parameters:
  `name` - the name.
Returns:
  the matching enumerator or `null`.

#### get

    public static TestStatus get(int value)

Returns the 'Test Status' literal with the specified integer value.

Parameters:
  `value` - the integer value.
Returns:
  the matching enumerator or `null`.

#### getValue

    public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

#### getLiteral

    public java.lang.String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

#### toString

    public java.lang.String toString()

Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `java.lang.Enum<TestStatus>`